LiferaySOAPRoleManager (UserManagement-ws 1.0.2-4.2.0-126559 API)
Date: 2016-12-15

org.gcube.vomanagement.usermanagement.ws

## Class LiferaySOAPRoleManager

- java.lang.Object
- - org.gcube.vomanagement.usermanagement.ws.LiferaySOAPRoleManager

-     public class LiferaySOAPRoleManager
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `LiferaySOAPRoleManager()`

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `org.gcube.vomanagement.usermanagement.model.RoleModel` | `getRole(String roleId)`
    `String` | `getRoleId(String roleName, String groupName)`
    `List<StringCoupleWrapper>` | `listAllowedRoles(String groupName)`
    `List<String>` | `listRoles()`
    `List<org.gcube.vomanagement.usermanagement.model.RoleModel>` | `listRolesByGroup(String groupId)`
    `List<org.gcube.vomanagement.usermanagement.model.RoleModel>` | `listRolesByUser(String userId)`
    `List<org.gcube.vomanagement.usermanagement.model.RoleModel>` | `listRolesByUserAndGroup(String groupId, String userId)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### LiferaySOAPRoleManager

          public LiferaySOAPRoleManager()

  - ### Method Detail

    - #### getRole

          public org.gcube.vomanagement.usermanagement.model.RoleModel getRole(String roleId)
                                                                        throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                               org.gcube.vomanagement.usermanagement.exception.RoleRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.RoleRetrievalFault`

    - #### getRoleId

          public String getRoleId(String roleName,
                         String groupName)
                           throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`

    - #### listAllowedRoles

          public List<StringCoupleWrapper> listAllowedRoles(String groupName)
                                                     throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                            org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                            org.gcube.vomanagement.usermanagement.exception.UserManagementIOException,
                                                            org.gcube.vomanagement.usermanagement.exception.UserManagementFileNotFoundException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementIOException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementFileNotFoundException`

    - #### listRoles

          public List<String> listRoles()
                                 throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`

    - #### listRolesByGroup

          public List<org.gcube.vomanagement.usermanagement.model.RoleModel> listRolesByGroup(String groupId)
                                                                                       throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                              org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault,
                                                                                              org.gcube.vomanagement.usermanagement.exception.UserManagementFileNotFoundException,
                                                                                              org.gcube.vomanagement.usermanagement.exception.UserManagementIOException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementFileNotFoundException`
        `org.gcube.vomanagement.usermanagement.exception.UserManagementIOException`

    - #### listRolesByUser

          public List<org.gcube.vomanagement.usermanagement.model.RoleModel> listRolesByUser(String userId)
                                                                                      throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`

    - #### listRolesByUserAndGroup

          public List<org.gcube.vomanagement.usermanagement.model.RoleModel> listRolesByUserAndGroup(String groupId,
                                                                                            String userId)
                                                                                              throws org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException,
                                                                                                     org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault

      Throws:
        `org.gcube.vomanagement.usermanagement.exception.UserManagementSystemException`
        `org.gcube.vomanagement.usermanagement.exception.GroupRetrievalFault`

Copyright © 2016. All Rights Reserved.